Skip to navigation

List Tax Classes

Returns a list of all Tax Classes in a store.

Default sorting is by tax-class id, from lowest to highest.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
idstringOptional

The unique numerical ID of the tax class. A read-only value which is automatically assigned and increments sequentially.

namestringOptional
The name of the tax class.
created_atdatetimeOptional

Date and time of the tax class’ creation. Read-Only.

updated_atdatetimeOptional

Date and time when the tax class was last updated. Read-Only.